Skip to main content
POST
/
accounts
/
{accountId}
/
overdraft-limits
Create or amend an overdraft limit
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/accounts/{accountId}/overdraft-limits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "amount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "effectiveFrom": "2023-12-25",
  "pricingReference": "<string>",
  "effectiveTo": "2023-12-25"
}
'
{
  "limitId": "odl_01JQ9M6EZ29S2D3V0BWSCH8HF9",
  "accountId": "<string>",
  "amount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "pricingReference": "OD.EUR.SMEBAND2",
  "status": "pending",
  "effectiveFrom": "2023-12-25",
  "effectiveTo": "2023-12-25"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

accountId
string
required

Body

application/json
amount
object
required
effectiveFrom
string<date>
required
pricingReference
string
effectiveTo
string<date>

Response

Overdraft limit saved

limitId
string
Example:

"odl_01JQ9M6EZ29S2D3V0BWSCH8HF9"

accountId
string
amount
object
pricingReference
string
Example:

"OD.EUR.SMEBAND2"

status
enum<string>
Available options:
pending,
active,
expired,
cancelled
effectiveFrom
string<date>
effectiveTo
string<date>